<?php

/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

session_start();

if (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] == 'superadmin')) {

   if (isset($_FILES['uploadedimage'])) {

       $fileContent = file_get_contents($_FILES['uploadedimage']['tmp_name']);
       $fileName = $_FILES['uploadedimage']['name'];

       // Check if there is another file with the same name in the upload directory
       if (file_exists("images/buttons/".$fileName)) {
             $uniquefilemessage = "A file with the same name is already in the upload directory. The new file will overwrite the old file !";
       } else {
             $uniquefilemessage = "";
         }

       file_put_contents("images/buttons/".$fileName, $fileContent);

       $result = array(
          'messageonsave' => $uniquefilemessage
       );

       echo json_encode($result);
   }


} elseif (empty($_SESSION['loggedtorspanel'])) {

      header("Location: panel-login.php");

} elseif (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] != 'superadmin'))  {

      header("Location: index.php");
}

?>
